<?php

return [
    /**
     * ページ
     */
    'page' => [
        'label' => 'ページ',
        'outline' => '汎用ページです。',
        'fields' => [
            'html_title' => [
                'label' => 'HTMLタイトル',
                'type' => 'text',
            ],
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'home' => [
        'label' => 'ホーム',
        'outline' => 'ホーム（サイトトップ）用',
        'dir' => '/',
        'inputs' => [
            'date' => [
                'hidden' => 1,
            ],
        ],
        'fields' => [
            'html_title' => [
                'label' => 'HTMLタイトル',
                'type' => 'text',
            ],
            'main_title' => [
                'label' => 'メインタイトル',
                'type' => 'text',
            ],
            'main_lead' => [
                'label' => 'メインリード文',
                'type' => 'textarea',
            ],
            'main_image' => [
                'label' => 'メイン画像',
                'type' => 'image',
            ],
            'left_image' => [
                'label' => '左ボックス画像',
                'type' => 'image',
            ],
            'left_textarea' => [
                'label' => '左ボックステキスト',
                'type' => 'textarea',
            ],
            'left_link' => [
                'label' => '左ボックスリンク',
                'type' => 'link',
            ],
            'right_image' => [
                'label' => '右ボックス画像',
                'type' => 'image',
            ],
            'right_textarea' => [
                'label' => '右ボックステキスト',
                'type' => 'textarea',
            ],
            'right_link' => [
                'label' => '右ボックスリンク',
                'type' => 'link',
            ],
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'product_item' => [
        'label' => '製品アイテム',
        'outline' => '１つの製品を紹介する詳細ページです。',
        'dir' => '/products/item/',
        'fields' => [
            'recommend' => [
                'label' => 'お勧め順',
                'type' => 'number',
                'inputs' => [
                    'number' => [
                        'label' => 'お勧め順',
                        'rule' => 'between_num:10,99',
                    ],
                ],
            ],
            'image' => [
                'label' => '製品画像',
                'type' => 'image',
            ],
            'description' => [
                'label' => '説明文',
                'type' => 'textarea',
            ],
            'spec' => [
                'label' => '仕様',
                'type' => 'textarea',
            ],
            'price' => [
                'label' => '価格',
                'type' => 'price',
            ],
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
        'meta' => [
            'recommend' => 'recommend.number',
        ],
        'search' => 1,
    ],
    'product_list' => [
        'label' => '製品一覧',
        'outline' => '製品一覧をページネーションで表示します。',
        'dir' => '/products/',
        'action' => 'pagination',
        'options' => [
            'query' => 'product_pagination',
            'route' => '/products/list_{page_no}.html',
            'per_page' => 2,
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'product_index' => [
        'label' => '製品情報',
        'outline' => '製品情報トップページです。',
        'dir' => '/products/',
        'inputs' => [
            'filename' => [
                'value' => 'index',
            ],
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'product_search' => [
        'label' => '製品検索',
        'outline' => '製品検索ページです。',
        'dir' => '/products/',
        'action' => 'search',
        'form' => [
            'inputs' => [
                'q' => [
                    'label' => '検索ワード',
                    'value' => '',
                    'rule' => '',
                ],
            ],
        ],
        'options' => [
            'query' => 'product_search',
            'route' => '/products/search_{page_no}.html',
            'per_page' => 2,
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'store_search' => [
        'label' => '店舗検索',
        'outline' => '店舗検索ページです。',
        'dir' => '/store/',
        'action' => 'search',
        'form' => [
            'inputs' => [
                'q' => [
                    'label' => '検索ワード',
                    'value' => '',
                    'rule' => '',
                ],
            ],
        ],
        'options' => [
            'query' => 'store_search',
            'route' => '/store/search_{page_no}.html',
            'per_page' => 2,
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'info_article' => [
        'label' => 'お知らせ記事',
        'outline' => 'お知らせの記事を管理します。',
        'dir' => '/information/article/',
        'sitemap' => 0,
        'inputs' => [
            'filename' => [
                'value' => 'item',
            ],
        ],
        'fields' => [
            'info_type' => [
                'label' => 'お知らせ種類',
                'type' => 'radio',
                'output_template' => 'info_type',
                'inputs' => [
                    'radio' => [
                        'label' => 'お知らせ種類',
                        'rule' => 'required',
                        'value' => 'news',
                        'options' => [
                            'news' => 'News',
                            'release' => 'Release',
                            'blog' => 'Blog',
                        ],
                        'class' => [
                            'news' => 'badge badge-success',
                            'release' => 'badge badge-info',
                            'blog' => 'badge badge-primary',
                        ],
                    ],
                ],
            ],
            'info_link' => [
                'type' => 'link',
            ],
            'link_to_article' => [
                'label' => '記事ページへのリンク',
                'type' => 'radio',
                'inputs' => [
                    'radio' => [
                        'label' => '記事ページへのリンク',
                        'rule' => 'required',
                        'value' => 'yes',
                        'options' => [
                            'yes' => 'リンクする',
                            'no' => 'リンクしない',
                        ],
                    ],
                ],
            ],
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'info_archive' => [
        'label' => 'お知らせアーカイブ',
        'outline' => 'お知らせを年別に表示します。',
        'dir' => '/information/',
        'action' => 'archive',
        'options' => [
            'base_type' => 'page',
            'content' => 'info_article',
            'route' => '/information/archive/{year}.html',
            'month' => 12,
            'offset_month' => 0,
            'blank' => 0,
            'sort' => 'desc',
            'link_format' => 'Y年',
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'event_calendar' => [
        'label' => 'イベントカレンダー',
        'outline' => 'イベント・休業日情報をを月別で表示します。',
        'dir' => '/event/',
        'action' => 'calendar',
        'options' => [
            'content' => 'event',
            'month' => 1,
            //'offset_month' => 3,
            'blank' => 0,
            'route' => '/event/{year}/{month}/',
            //'sort' => 'desc',
        ],
        'inputs' => [
            'filename' => [
                'value' => 'index',
            ],
        ],
        'fields' => [
            'content' => [
                'label' => 'コンテンツ',
                'type' => 'content',
            ],
        ],
    ],
    'staff_detail' => [
        'label' => 'スタッフ別ページ',
        'action' => 'mapping',
        'options' => [
            'base_type' => 'matrix',
            'content' => 'staff',
            'route' => '/company/staff/{name}.html',
            'page' => [
                'name' => 'スタッフ',
                'category_id' => 3,
            ],
        ],
    ],
    'store_detail' => [
        'label' => 'ショップ別ページ',
        'action' => 'mapping',
        'options' => [
            'base_type' => 'collection',
            'content' => 'store',
            'route' => '/store/list/{store_code}.html',
            'page' => [
                'category_id' => 6,
            ],
        ],
    ],
];
