<?php

return [
    /**
     * クエリ
     */
    'product_recommend' => [
        'type' => 'product_item',
        'base_type' => 'page',
        'join' => [
            'recommend',
        ],
        'where' => [
            ['recommend.value', '>=', 0],
        ],
        'order' => 'recommend.value',
        'limit' => 5,
    ],
    'product_pagination' => [
        'type' => 'product_item',
        'base_type' => 'page',
        'order' => 'updated_at',
        'sort' => 'desc',
    ],
    'product_search' => [
        'type' => 'product_item',
        'base_type' => 'page',
        'search' => '{q}',
        'search_mode' => 'like_and',
    ],
    'store_list' => [
        'type' => 'store',
        'base_type' => 'collection',
        'join' => [
            'pref',
        ],
        'order' => 'pref.value',
        'extra_order' => [
            'display_order' => 'asc',
        ],
    ],
    'store_search' => [
        'type' => 'store',
        'base_type' => 'collection',
        'search' => '{q}',
        'search_mode' => 'like_and',
    ],
    'pages_in_category' => [
        'base_type' => 'page',
        'category' => '{id}',
    ],
    'display_priority' => [
        'base_type' => 'page',
        'where' => [
            ['display_order', '<=', '{param}'],
        ],
    ],
];
