<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Admin\Forms;

use MicroEngine\Core\Forms\Form;

class UserUpdateForm extends Form
{
    /**
     * @var array
     */
    protected $inputs = [
        'password' => [
            'label' => 'パスワード',
            'value' => '',
            'rule' => 'between:6,128',
        ],
        'role' => [
            'label' => 'ロール',
            'value' => '',
            'rule' => 'required',
        ],
        'name' => [
            'label' => '名前',
            'value' => '',
            'rule' => 'required|max_chars:128',
        ],
        'email' => [
            'label' => 'メールアドレス',
            'value' => '',
            'rule' => 'email|max_chars:256',
        ],
        'note' => [
            'label' => '備考',
            'value' => '',
            'rule' => '',
        ],
    ];
}
