<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Forms;

use MicroEngine\Core\Forms\Form;
use Interop\Container\ContainerInterface;
use MicroEngine\Cms\Services\ContentService;

class FieldForm extends Form
{
    /**
     * @var ContentService
     */
    protected $contentService;
    /**
     * @var array
     */
    protected $config;
    /**
     * @var array
     */
    protected $fields;

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->contentService = $c->contentService;
    }

    /**
     * @param  array $fields
     */
    public function setFields(array $fields)
    {
        $this->fields = $fields;
    }

    /**
     * フィールドの値を取得
     *
     * @param string $name
     * @return mixed
     */
    public function field(string $name)
    {
        return $this->fields['inputs'][$name]['value'];
    }
}
