<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Forms;

class PageForm extends ContentForm
{
    /**
     * @var array
     */
    protected $inputs = [
        // idフィールドは複合ユニークバリデーションで自分自身のレコードは除外するために用意する
        'id' => [
            'label' => 'ID',
            'value' => '',
            'rule' => '',
        ],
        'type' => [
            'label' => 'ページタイプ',
            'value' => '',
            'rule' => 'required',
        ],
        'name' => [
            'value' => '',
            'label' => '名前',
            'rule' => 'required|max_chars:128',
        ],
        'date' => [
            'label' => '日付',
            'value' => '',
            'rule' => '',
            'date_picker' => 'date',
            'empty' => null,
        ],
        'visibility' => [
            'label' => '公開設定',
            'value' => '1',
            'rule' => 'required',
        ],
        'published_at' => [
            'label' => '公開開始日時',
            'value' => '',
            'rule' => '',
            'empty' => null,
        ],
        'closed_at' => [
            'label' => '公開終了日時',
            'value' => '',
            'rule' => '',
            'empty' => null,
        ],
        'display_order' => [
            'label' => '表示順',
            'value' => '10',
            'rule' => 'required|numeric|between_num:-32768,32767',
        ],
        'sitemap' => [
            'label' => 'サイトマップ',
            'value' => '1',
            'rule' => 'required',
        ],
        'category_id' => [
            'label' => 'カテゴリ',
            'value' => '',
            'rule' => 'required|numeric',
        ],
        'filename' => [
            'label' => 'ファイル名',
            'value' => '',
            'rule' => 'required|max_chars:64|filename|unique_composite:pages,filename,category_id,id',
        ],
        'template' => [
            'label' => 'テンプレート',
            'value' => '',
            'rule' => '',
        ],
        'edit_mode' => [
            'label' => '編集モード',
            'value' => 'create',
            'rule' => '',
        ],
        'revision_type' => [
            'label' => '履歴種類',
            'value' => 'trunk',
            'rule' => '',
        ],
        'revision_id' => [
            'label' => 'リビジョンID',
            'value' => '',
            'rule' => '',
        ],
    ];
    /**
     * @var bool 下書き保存可能
     */
    protected $canDraft = true;
}
