<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Models;

use MicroEngine\Admin\Models\User;
use Illuminate\Database\Eloquent\Model;

class Module extends Model
{
    /**
     * @var array
     */
    protected $fillable = ['type', 'fields', 'create_user_id', 'update_user_id'];
    /**
     * @var array
     */
    protected $casts = ['fields' => 'array'];
    /**
     * @var string
     */
    protected $baseType = 'module';

    /**
     * 作成ユーザー
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function createUser()
    {
        return $this->belongsTo(User::class, 'create_user_id');
    }

    /**
     * 更新ユーザー
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function updateUser()
    {
        return $this->belongsTo(User::class, 'update_user_id');
    }

    /**
     * @return string
     */
    public function getBaseType(): string
    {
        return $this->baseType;
    }
}
