<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Handler;

trait HandlerTrait
{
    /**
     * エラー画面HTMLテンプレートをレンダリングする
     *
     * @param string $title
     * @param string $html
     * @return string
     */
    public function renderTemplate(string $title, string $html): string
    {
        $escapedTitle = e($title);

        return <<<EOD
<!DOCTYPE html><html lang="ja"><head><meta charset="UTF-8"><title>{$escapedTitle}</title><meta name="viewport" content="width=device-width,initial-scale=1">
<style>body{margin:0;padding:15px}h1{margin:0 0 15px;font-size:24px;color:#F70}article{background-color:#eee;padding:10px 15px}article+article{margin:20px 0 0}h2{border-bottom:1px solid #ccc;margin:0 0 10px;font-size:18px;padding:0 0 5px}pre{background-color:#f7f7f7;padding:10px;margin:0 0 5px;overflow-x:scroll}</style>
</head><body>
<header><h1>{$escapedTitle}</h1></header>
{$html}
</body></html>
EOD;
    }
}
