<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Providers;

use Swift_Mailer;
use Pimple\Container;
use Swift_SmtpTransport;
use Pimple\ServiceProviderInterface;

class MailerProvider implements ServiceProviderInterface
{
    /**
     * @param Container $c
     */
    public function register(Container $c)
    {
        $c['mailer_transport'] = function ($c) {
            $options = config('settings.mailer', []);
            $options += [
                'host' => 'localhost',
                'port' => 25,
                'username' => '',
                'password' => '',
                'encryption' => null,
                'auth_mode' => null,
            ];

            $transport = (new Swift_SmtpTransport($options['host'], $options['port']))
                ->setUsername($options['username'])
                ->setPassword($options['password'])
                ->setEncryption($options['encryption'])
                ->setAuthMode($options['auth_mode']);
            return $transport;
        };

        $c['mailer'] = new Swift_Mailer($c->mailer_transport);
    }
}
