<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Support;

use Interop\Container\ContainerInterface;

class Util
{
    /**
     * @var ContainerInterface
     */
    protected $c;

    /**
     * @param ContainerInterface $c
     */
    public function __construct(ContainerInterface $c)
    {
        $this->c = $c;
    }

    /**
     * 並べ替えリンク用のクラスを返す
     *
     * @param string $sort
     * @param string $order
     * @param array $columns
     * @param array $classes
     * @return array
     */
    public function sortOrderClass(string $sort, string $order, array $columns, array $classes = []): array
    {
        $sortOrder = [];
        $classes += [
            'current' => 'text-primary',
            'other' => 'text-secondary',
        ];

        foreach ($columns as $column) {
            $sortOrder[$column]['asc'] = ($sort === $column && $order === 'asc') ? $classes['current'] : $classes['other'];
            $sortOrder[$column]['desc'] = ($sort === $column && $order === 'desc') ? $classes['current'] : $classes['other'];
        }
        return $sortOrder;
    }
}
