<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Validation;

use Rakit\Validation\Rule;

class MaxChars extends Rule
{
    /**
     * @var string
     */
    protected $message = ':attributeは:max文字以下でなければなりません。';
    /**
     * @var array
     */
    protected $fillable_params = ['max'];

    /**
     * @param mixed $value
     * @return bool
     * @throws \Rakit\Validation\MissingRequiredParameterException
     */
    public function check($value)
    {
        $this->requireParameters($this->fillable_params);

        $max = (int)$this->parameter('max');
        $length = mb_strlen($value);

        if ($length !== false && $length <= $max) {
            return true;
        } else {
            return false;
        }
    }
}


