<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Validation;

use Rakit\Validation\Rule;

class MaxNum extends Rule
{
    /**
     * @var string
     */
    protected $message = ':attributeは:max以下でなければなりません。';
    /**
     * @var array
     */
    protected $fillable_params = ['max'];

    /**
     * @param mixed $value
     * @return bool
     * @throws \Rakit\Validation\MissingRequiredParameterException
     */
    public function check($value)
    {
        $this->requireParameters($this->fillable_params);

        $max = (int)$this->parameter('max');

        if (is_numeric($value)) {
            return $value <= $max;
        } else if (strlen($value)) {
            // 数値以外の文字の場合はエラー
            return false;
        } else {
            return true;
        }
    }
}
