<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install;

use MicroEngine\Core\Support\ServiceProvider;
use MicroEngine\Install\Services\{
    InstallService, UpgradeService
};
use MicroEngine\Install\Controllers\{
    UpgradeController, InstallController
};

class InstallServiceProvider extends ServiceProvider
{
    /**
     * サービス登録
     */
    public function register()
    {
        $c = $this->c;

        $c['installService'] = function ($c) {
            return new InstallService($c);
        };
        $c['upgradeService'] = function ($c) {
            return new UpgradeService($c);
        };
        $c['installController'] = function ($c) {
            return new InstallController($c);
        };
        $c['upgradeController'] = function ($c) {
            return new UpgradeController($c);
        };
    }

    /**
     * サービス起動
     */
    public function boot()
    {
        // ルートを登録
        $route = new InstallRoute();
        $route->register($this->app);
    }
}
