<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Install\Middleware;

use Psr\Http\Message\ResponseInterface;
use MicroEngine\Core\Exception\MeException;
use MicroEngine\Core\Middleware\Middleware;
use Psr\Http\Message\ServerRequestInterface;
use MicroEngine\Install\Services\UpgradeService;

class SchemaVersionMiddleware extends Middleware
{
    /**
     * @param ServerRequestInterface $request
     * @param ResponseInterface $response
     * @param callable $next
     * @return ResponseInterface
     */
    public function __invoke(ServerRequestInterface $request, ResponseInterface $response, callable $next): ResponseInterface
    {
        /* @var UpgradeService $upgrade */
        $upgrade = $this->c->upgradeService;
        if ($upgrade->needsUpgrade()) {
            return $this->c->view->render(
                $response,
                'install/views/base/maint.twig'
            );
        }
        return $next($request, $response);
    }
}
