<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Site\Controllers;

use Slim\Exception\NotFoundException;
use Psr\Http\Message\ResponseInterface;
use MicroEngine\Core\Controllers\Action;
use Psr\Http\Message\ServerRequestInterface;

class FilesAction extends Action
{
    /**
     * @param  ServerRequestInterface $request
     * @param  ResponseInterface $response
     * @param  array $args
     * @return ResponseInterface
     * @throws NotFoundException
     */
    public function __invoke(ServerRequestInterface $request, ResponseInterface $response, array $args): ResponseInterface
    {
        $path = $args['path'];
        $ImageUtility = $this->c->imageUtility;
        $image = $ImageUtility->onTheFly($path);

        if ($image) {
            $newResponse = $response->withBody($image->stream());

            return $newResponse->withHeader('Content-Type', $image->mime());
        } else {
            throw new NotFoundException($request, $response);
        }
    }
}
