/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

(function ($, window) {
  'use strict';

  if (typeof window.mecms === 'undefined') {
    window.mecms = {};
  }

  /**
   * Calendar
   */
  mecms.calendar = {
    type: null,
    init: function (type) {
      var self = this;

      self.type = type;
    },
    yearCalendar: function (date) {
      var self = this, $modal;

      $modal = $('#yearModal');
      $modal.modal('show');

      $.ajax({
        url: '/admin/calendar/content/' + self.type + '/' + date + '/yearly',
        type: 'get',
        cache: false
      }).done(function (html) {
        $modal.empty();
        $modal.html(html);
      }).fail(function (jqXHR, textStatus, errorThrown) {
        $modal.html(jqXHR.responseText);
      });
    }
  };

})(jQuery, window);
